com.hazelcast.nio.ssl

## Class SSLEngineFactorySupport

- java.lang.Object
- - com.hazelcast.nio.ssl.SSLEngineFactorySupport

- Direct Known Subclasses:
    BasicSSLContextFactory

      public abstract class SSLEngineFactorySupport
      extends Object

  A support class for `SSLEngineFactory` and `SSLContextFactory` implementation that takes care of the logic for KeyManager and TrustManager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JAVA_NET_SSL_PREFIX`
    `protected KeyManagerFactory` | `kmf`
    `protected String` | `protocol`
    `protected TrustManagerFactory` | `tmf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLEngineFactorySupport()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `getProperty(Properties properties, String property)`
    `protected static String` | `getProperty(Properties properties, String property, String defaultValue)`
    `protected void` | `load(Properties properties)`
    `static KeyManagerFactory` | `loadKeyManagerFactory(String keyStorePassword, String keyStore, String keyManagerAlgorithm)`
    `static KeyManagerFactory` | `loadKeyManagerFactory(String keyStorePassword, String keyStore, String keyManagerAlgorithm, String keyStoreType)`
    `static void` | `loadKeyStore(KeyStore ks, char[] passPhrase, String keyStoreFile)`
    `static TrustManagerFactory` | `loadTrustManagerFactory(String trustStorePassword, String trustStore, String trustManagerAlgorithm)`
    `static TrustManagerFactory` | `loadTrustManagerFactory(String trustStorePassword, String trustStore, String trustManagerAlgorithm, String trustStoreType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JAVA_NET_SSL_PREFIX

          public static final String JAVA_NET_SSL_PREFIX

      See Also:
        Constant Field Values

    - #### kmf

          protected KeyManagerFactory kmf

    - #### tmf

          protected TrustManagerFactory tmf

    - #### protocol

          protected String protocol

  - ### Constructor Detail

    - #### SSLEngineFactorySupport

          public SSLEngineFactorySupport()

  - ### Method Detail

    - #### load

          protected void load(Properties properties)
                       throws Exception

      Throws:
        `Exception`

    - #### loadTrustManagerFactory

          public static TrustManagerFactory loadTrustManagerFactory(String trustStorePassword,
                                                                    String trustStore,
                                                                    String trustManagerAlgorithm)
                                                             throws Exception

      Throws:
        `Exception`

    - #### loadTrustManagerFactory

          public static TrustManagerFactory loadTrustManagerFactory(String trustStorePassword,
                                                                    String trustStore,
                                                                    String trustManagerAlgorithm,
                                                                    String trustStoreType)
                                                             throws Exception

      Throws:
        `Exception`

    - #### loadKeyManagerFactory

          public static KeyManagerFactory loadKeyManagerFactory(String keyStorePassword,
                                                                String keyStore,
                                                                String keyManagerAlgorithm)
                                                         throws Exception

      Throws:
        `Exception`

    - #### loadKeyManagerFactory

          public static KeyManagerFactory loadKeyManagerFactory(String keyStorePassword,
                                                                String keyStore,
                                                                String keyManagerAlgorithm,
                                                                String keyStoreType)
                                                         throws Exception

      Throws:
        `Exception`

    - #### loadKeyStore

          public static void loadKeyStore(KeyStore ks,
                                          char[] passPhrase,
                                          String keyStoreFile)
                                   throws IOException,
                                          NoSuchAlgorithmException,
                                          CertificateException

      Throws:
        `IOException`
        `NoSuchAlgorithmException`
        `CertificateException`

    - #### getProperty

          protected static String getProperty(Properties properties,
                                              String property)

    - #### getProperty

          protected static String getProperty(Properties properties,
                                              String property,
                                              String defaultValue)

Copyright © 2018. All rights reserved.